org.eclnt.jsfserver.elements.componentnodes

## Class PDFPRINTERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PDFPRINTERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class PDFPRINTERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFPRINTERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFPRINTERNode` | `bindAbortonwrongprintername(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindActionListener(IActionListenerDelegation value)`
    `PDFPRINTERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindClientprintername(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindClientprintertrayname(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindComment(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindNumberofcopies(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindPaperheight(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindPapermargin(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindPaperwidth(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindPdf(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindWithprintdialog(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `bindWithserverprintnotification(IDynamicContentBindingObject value)`
    `PDFPRINTERNode` | `setAbortonwrongprintername(boolean value)`
    `PDFPRINTERNode` | `setAbortonwrongprintername(java.lang.String value)`
    `PDFPRINTERNode` | `setActionListener(java.lang.String value)`
    `PDFPRINTERNode` | `setAdapterbinding(java.lang.String value)`
    `PDFPRINTERNode` | `setAttributemacro(java.lang.String value)`
    `PDFPRINTERNode` | `setClientprintername(java.lang.String value)`
    `PDFPRINTERNode` | `setClientprintertrayname(java.lang.String value)`
    `PDFPRINTERNode` | `setComment(java.lang.String value)`
    `PDFPRINTERNode` | `setConfiginfo(java.lang.String value)`
    `PDFPRINTERNode` | `setId(java.lang.String value)`
    `PDFPRINTERNode` | `setNumberofcopies(int value)`
    `PDFPRINTERNode` | `setNumberofcopies(java.lang.String value)`
    `PDFPRINTERNode` | `setPaperheight(java.lang.String value)`
    `PDFPRINTERNode` | `setPapermargin(java.lang.String value)`
    `PDFPRINTERNode` | `setPaperwidth(java.lang.String value)`
    `PDFPRINTERNode` | `setPdf(java.lang.String value)`
    `PDFPRINTERNode` | `setReference(java.lang.String value)`
    `PDFPRINTERNode` | `setRendered(boolean value)`
    `PDFPRINTERNode` | `setRendered(java.lang.String value)`
    `PDFPRINTERNode` | `setStylevariant(java.lang.String value)`
    `PDFPRINTERNode` | `setTriggerprint(java.lang.String value)`
    `PDFPRINTERNode` | `setWithprintdialog(boolean value)`
    `PDFPRINTERNode` | `setWithprintdialog(java.lang.String value)`
    `PDFPRINTERNode` | `setWithserverprintnotification(boolean value)`
    `PDFPRINTERNode` | `setWithserverprintnotification(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFPRINTERNode

          public PDFPRINTERNode()

  - ### Method Detail

    - #### setId

          public PDFPRINTERNode setId(java.lang.String value)

    - #### setAbortonwrongprintername

          public PDFPRINTERNode setAbortonwrongprintername(java.lang.String value)

    - #### bindAbortonwrongprintername

          public PDFPRINTERNode bindAbortonwrongprintername(IDynamicContentBindingObject value)

    - #### setAbortonwrongprintername

          public PDFPRINTERNode setAbortonwrongprintername(boolean value)

    - #### setActionListener

          public PDFPRINTERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PDFPRINTERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public PDFPRINTERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public PDFPRINTERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public PDFPRINTERNode setAttributemacro(java.lang.String value)

    - #### setClientprintername

          public PDFPRINTERNode setClientprintername(java.lang.String value)

    - #### bindClientprintername

          public PDFPRINTERNode bindClientprintername(IDynamicContentBindingObject value)

    - #### setClientprintertrayname

          public PDFPRINTERNode setClientprintertrayname(java.lang.String value)

    - #### bindClientprintertrayname

          public PDFPRINTERNode bindClientprintertrayname(IDynamicContentBindingObject value)

    - #### setComment

          public PDFPRINTERNode setComment(java.lang.String value)

    - #### bindComment

          public PDFPRINTERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PDFPRINTERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PDFPRINTERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setNumberofcopies

          public PDFPRINTERNode setNumberofcopies(java.lang.String value)

    - #### bindNumberofcopies

          public PDFPRINTERNode bindNumberofcopies(IDynamicContentBindingObject value)

    - #### setNumberofcopies

          public PDFPRINTERNode setNumberofcopies(int value)

    - #### setPaperheight

          public PDFPRINTERNode setPaperheight(java.lang.String value)

    - #### bindPaperheight

          public PDFPRINTERNode bindPaperheight(IDynamicContentBindingObject value)

    - #### setPapermargin

          public PDFPRINTERNode setPapermargin(java.lang.String value)

    - #### bindPapermargin

          public PDFPRINTERNode bindPapermargin(IDynamicContentBindingObject value)

    - #### setPaperwidth

          public PDFPRINTERNode setPaperwidth(java.lang.String value)

    - #### bindPaperwidth

          public PDFPRINTERNode bindPaperwidth(IDynamicContentBindingObject value)

    - #### setPdf

          public PDFPRINTERNode setPdf(java.lang.String value)

    - #### bindPdf

          public PDFPRINTERNode bindPdf(IDynamicContentBindingObject value)

    - #### setReference

          public PDFPRINTERNode setReference(java.lang.String value)

    - #### setRendered

          public PDFPRINTERNode setRendered(java.lang.String value)

    - #### bindRendered

          public PDFPRINTERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PDFPRINTERNode setRendered(boolean value)

    - #### setStylevariant

          public PDFPRINTERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PDFPRINTERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public PDFPRINTERNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public PDFPRINTERNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public PDFPRINTERNode setWithprintdialog(java.lang.String value)

    - #### bindWithprintdialog

          public PDFPRINTERNode bindWithprintdialog(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public PDFPRINTERNode setWithprintdialog(boolean value)

    - #### setWithserverprintnotification

          public PDFPRINTERNode setWithserverprintnotification(java.lang.String value)

    - #### bindWithserverprintnotification

          public PDFPRINTERNode bindWithserverprintnotification(IDynamicContentBindingObject value)

    - #### setWithserverprintnotification

          public PDFPRINTERNode setWithserverprintnotification(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.